# PacketExUpdateServer.UpdateType (SubServers.Bungee)

net.ME1312.SubServers.Bungee.Network.Packet

## Enum PacketExUpdateServer.UpdateType

- java.lang.Object
- - java.lang.Enum<PacketExUpdateServer.UpdateType>
  - - net.ME1312.SubServers.Bungee.Network.Packet.PacketExUpdateServer.UpdateType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PacketExUpdateServer.UpdateType>

Enclosing class:
  PacketExUpdateServer

    public static enum PacketExUpdateServer.UpdateType
    extends java.lang.Enum<PacketExUpdateServer.UpdateType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMMAND`
`SET_ENABLED`
`SET_LOGGING`
`SET_STOP_COMMAND`
`START`
`STOP`
`TERMINATE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.Class<?>[]` `getArguments()`
`short` `getValue()`
`static PacketExUpdateServer.UpdateType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PacketExUpdateServer.UpdateType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### START

    public static final PacketExUpdateServer.UpdateType START

#### COMMAND

    public static final PacketExUpdateServer.UpdateType COMMAND

#### STOP

    public static final PacketExUpdateServer.UpdateType STOP

#### TERMINATE

    public static final PacketExUpdateServer.UpdateType TERMINATE

#### SET_ENABLED

    public static final PacketExUpdateServer.UpdateType SET_ENABLED

#### SET_LOGGING

    public static final PacketExUpdateServer.UpdateType SET_LOGGING

#### SET_STOP_COMMAND

    public static final PacketExUpdateServer.UpdateType SET_STOP_COMMAND

### Method Detail

#### values

    public static PacketExUpdateServer.UpdateType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PacketExUpdateServer.UpdateType c : PacketExUpdateServer.UpdateType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PacketExUpdateServer.UpdateType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getArguments

    public java.lang.Class<?>[] getArguments()

#### getValue

    public short getValue()